<?php
  include("./config.php");
  include("./security.php");
  include("./rcon_net.php");

  //neues Template erzeugen
  include("./template.inc");
  $tpl = new Template($templatedir, "keep");

  //Files bekannt machen
  $tpl->set_file(array(
    "main" => "main.ihtml",
    "helptext" => "helptext.ihtml",
    "help" => "help.ihtml"
  ));
  
  //define blocks
  $tpl->set_block("help", "topiclist", "TOPICLIST");
  $tpl->set_block("help", "bodylist", "BODYLIST");
  $tpl->set_block("helptext", "info", "INFO");
  $tpl->set_block("helptext", "rules", "RULES");
  $tpl->set_block("helptext", "maps", "MAPS");
  $tpl->set_block("helptext", "banlist", "BANLIST");
  $tpl->set_block("helptext", "banwonid", "BANWONID");
  $tpl->set_block("helptext", "command", "COMMAND");
    
  //set global output
  $tpl->set_var("TEMPLATEDIR", $templatedir);

  
  //Output
  $tpl->set_var("HELPTOPIC", "Server Info");
  $tpl->parse("HELPTEXT", "info");
  $tpl->parse("TOPICLIST", "topiclist", true);
  $tpl->parse("BODYLIST", "bodylist", true);
    
  $tpl->set_var("HELPTOPIC", "Server Rules");
  $tpl->parse("HELPTEXT", "rules");
  $tpl->parse("TOPICLIST", "topiclist", true);
  $tpl->parse("BODYLIST", "bodylist", true);
    
  $tpl->set_var("HELPTOPIC", "Server Maps");
  $tpl->parse("HELPTEXT", "maps");
  $tpl->parse("TOPICLIST", "topiclist", true);
  $tpl->parse("BODYLIST", "bodylist", true);
    
  $tpl->set_var("HELPTOPIC", "Server Banlist");
  $tpl->parse("HELPTEXT", "banlist");
  $tpl->parse("TOPICLIST", "topiclist", true);
  $tpl->parse("BODYLIST", "bodylist", true);
    
  $tpl->set_var("HELPTOPIC", "Ban WonID");
  $tpl->parse("HELPTEXT", "info");
  $tpl->parse("TOPICLIST", "topiclist", true);
  $tpl->parse("BODYLIST", "bodylist", true);
    
  $tpl->set_var("HELPTOPIC", "rcon Command");
  $tpl->parse("HELPTEXT", "command");
  $tpl->parse("TOPICLIST", "topiclist", true);
  $tpl->parse("BODYLIST", "bodylist", true);
    

  //parse content in main template
  $tpl->parse("CONTENT", "help", false);

  //parse everything and print it
  $tpl->parse("OUT", "main");
  $tpl->p("OUT");

?>