<?php
  include("./config.php");
  include("./security.php");
  
  include("./rcon_net.php");

  //neues Template erzeugen
  include("./template.inc");
  $tpl = new Template($templatedir, "keep");

  //Files bekannt machen
  $tpl->set_file(array(
    "main" => "main.ihtml",
    "messages" => "messages.ihtml",
    "helptext" => "helptext.ihtml",
    "serverbanwonid" => "serverbanwonid.ihtml"
  ));
  
  //Blocks definieren
  $tpl->set_block("serverbanwonid", "removed", "REMOVED");
  $tpl->set_block("serverbanwonid", "added", "ADDED");
  $tpl->set_block("messages", "notconnected", "NOTCONNECTED");
  $tpl->set_block("messages", "badrcon", "BADRCON");
  $tpl->set_block("messages", "banid", "BANID");
  $tpl->set_block("messages", "removeid", "REMOVEID");
  $tpl->set_block("helptext", "banwonid", "BANWONID");

  //parse helptext
  $tpl->set_var(array(
    "TEMPLATEDIR" => $templatedir,
    "FEEDBACK" => ""
  ));
  if($helptext == 1)
    $tpl->parse("HELP", "banwonid", false);
  else
    $tpl->set_var("HELP", "");


  //Action
  if($action == 1)
  {
    //build connection to Apachenpub
    $fp = net_connect($server_ip, $server_port);

    //Not connected error
    if(!$fp)
    {
      $tpl->parse("CONTENT", "notconnected", false);
      $tpl->parse("OUT", "main", false);
      $tpl->p("OUT");
      exit;
    }

  
    //remove id from list
    if($mod == "delete")
    {
      //build command
      $command = "removeid $wonid";
    
      //remove id from list
      $result = net($fp, $command, $server_password);

      //Bad rcon password
      if(trim($result) == "Bad rcon_password.")
        $tpl->parse("FEEDBACK", "badrcon", false);
      else
        $tpl->parse("FEEDBACK", "removeid", false);
 
    }

    //add id to list
    else if($mod == "ban")
    {
      //build command
      $command = "banid $timeframe $wonid";
      if($kick == "on")
        $command .= " kick";
    
      //add id to list
      $result = net($fp, $command, $server_password);

      //Bad rcon password
      if(trim($result) == "Bad rcon_password.")
        $tpl->parse("FEEDBACK", "badrcon", false);
      else
        $tpl->parse("FEEDBACK", "addid", false);
  
    }

    //close connection
    fclose($fp);
    
  } //if($action == 1)


  //parse content in main template
  $tpl->parse("CONTENT", "serverbanwonid", false);

  //parse everything and print it
  $tpl->parse("OUT", "main", false);
  $tpl->p("OUT");

?>